﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HCW_Modify.Forms
{
	public partial class InputInt : Form
	{

		// Properties

		/// <summary>
		/// Prompt is the prompt string which appears on the dialog.
		/// </summary>
		public string Prompt
		{
			get
			{
				return promptLabel.Text;
			}
			set
			{
				promptLabel.Text = value;
			}
		}

		/// <summary>
		/// Minimum is the minimum integer value allowed to enter on the dialog.
		/// </summary>
		public int Minimum
		{
			get
			{
				return (int) numericUpDown.Minimum;
			}
			set
			{
				minLabel.Text = "Minimum: " + value;
				numericUpDown.Minimum = value;
			}
		}

		/// <summary>
		/// Maximum is the maximum integer value allowed to enter on the dialog.
		/// </summary>
		public int Maximum
		{
			get
			{
				return (int) numericUpDown.Maximum;
			}
			set
			{
				maxLabel.Text = "Maximum: " + value;
				numericUpDown.Maximum = value;
			}
		}

		/// <summary>
		/// Start is the default starting integer value to appear on the dialog.
		/// </summary>
		public int Start
		{
			get
			{
				return (int) numericUpDown.Value;
			}
			set
			{
				numericUpDown.Value = value;
			}
		}

		public InputInt ()
		{
			InitializeComponent ();
			this.Font = SystemFonts.MessageBoxFont;
		}

		private void okButton_Click (object sender, EventArgs e)
		{

		}
	}
}
